Bug 118755 - Languages tab allows creation of item with no language, which then breaks tab.
Languages tab allows creation of item with no language, which then breaks tab.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-19 15:54 EST by Jon Orris
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 10:43:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2004-03-19 15:54:32 EST
Description of problem:
@41500/postgres

To reproduce:
Create an item
Go to the languages tab.
Add a new Language.

Repeat for every language.
When the languages have been exhausted, the button to add a new
language will still be there. Click it, and a new item with no
language will succesfully be created. 

select * from cms_items where name='foo';
 item_id | parent_id | name | type_id | version | language |
section_id |   ancestors   | master_id
---------+-----------+------+---------+---------+----------+------------+---------------+-----------
    3003 |      4002 | foo  |    2041 | draft   | nl       |        
64 | 60/4002/3003/ |
    4001 |      4002 | foo  |    2041 | draft   | en       |        
64 | 60/4002/4001/ |
    4002 |        60 | foo  |    2041 | draft   |          |        
64 | 60/4002/      |
    4007 |      4002 | foo  |    2041 | draft   | es       |        
64 | 60/4002/4007/ |
    5001 |      4002 | foo  |    2041 | draft   | de       |        
64 | 60/4002/5001/ |
    5006 |      4002 | foo  |    2041 | draft   | fr       |        
64 | 60/4002/5006/ |
    5011 |      4002 | foo  |    2041 | draft   | it       |        
64 | 60/4002/5011/ |
    5016 |      4002 | foo  |    2041 | draft   | pt       |        
64 | 60/4002/5016/ |
    5021 |      4002 | foo  |    2041 | draft   |          |        
64 | 60/4002/5021/ |

Thereafter, if you go to the languages tab, you will get a CCM Error.

-*-*-*- Section: Stack trace -*-*-*-
java.lang.IllegalArgumentException: key cannot be empty.
        at
com.arsdigita.globalization.GlobalizedMessage.setKey(GlobalizedMessage.java:130)
        at
com.arsdigita.globalization.GlobalizedMessage.<init>(GlobalizedMessage.java:78)
        at
com.arsdigita.cms.util.LanguageUtil.globalize(LanguageUtil.java:55)
        at
com.arsdigita.cms.ui.item.ItemLanguagesTable$LanguageRenderer.getComponent(ItemLanguagesTable.java:109)
        at com.arsdigita.bebop.Table.generateXML(Table.java:735)
        at
com.arsdigita.toolbox.ui.ActionGroup.generateXML(ActionGroup.java:78)
        at com.arsdigita.toolbox.ui.Section.generateXML(Section.java:122)
        at
com.arsdigita.toolbox.ui.LayoutPanel.section(LayoutPanel.java:80)
        at
com.arsdigita.toolbox.ui.LayoutPanel.generateXML(LayoutPanel.java:65)
        at com.arsdigita.bebop.TabbedPane.generateXML(TabbedPane.java:444)
        at
com.arsdigita.bebop.SimpleContainer.generateChildrenXML(SimpleContainer.java:243)
        at
com.arsdigita.bebop.SimpleContainer.generateXML(SimpleContainer.java:260)
        at com.arsdigita.bebop.Page.generateXML(Page.java:642)
        at com.arsdigita.bebop.Page.buildDocument(Page.java:765)
        at
com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:281)
        at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:80)
        at
com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
        at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:75)
        at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:296)
        at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:75)

Note You need to log in before you can comment on or make changes to this bug.